Question: Toolshed INstalled tool : Job submission Failed after upgrading galaxy local instance
0
gravatar for julie dubois
3 months ago by
julie dubois20
julie dubois20 wrote:

Hi galaxy community

I have been updated my local instance of galaxy to release 17.05. Since this update some tools previously installed from toolshed are not runnable : so I check the formular, fill it and click on execute and I have a red frame which appears with this message (for example bedtools, but same problem with deeptools) : The server could not complete the request. Please contact the Galaxy Team if this error persists.

{
"tool_id": "toolshed.g2.bx.psu.edu/repos/iuc/bedtools/bedtools_intersectbed/2.24.0",
"tool_version": "2.24.0",
"inputs": {
    "inputA": {
        "values": [
            {
                "hid": 72,
                "id": "be2dfb734c2d1ff7",
                "keep": false,
                "name": "convert_",
                "src": "hda",
                "tags": []
            }
        ],
        "batch": false
    },
    "inputB": {
        "values": [
            {
                "hid": 72,
                "id": "be2dfb734c2d1ff7",
                "keep": false,
                "name": "convert_",
                "src": "hda",
                "tags": []
            }
        ],
        "batch": false
    },
    "strand": "",
    "overlap_mode": [
        "-wa"
    ],
    "split": "false",
    "fraction": "",
    "reciprocal": "false",
    "invert": "false",
    "once": "false",
    "count": "false",
    "header": "false"
}

}

SO I uninstalled deeptools and bedtools and reinstalled it but the error is not resolved. SO have you any idea to resolve this problem ?

EDIT : Very strange behaviour !!! When I go in "tool lineage" with admin interface and click on the link of the installed tool, the formular appears and I can run the job without error from this interface but cannot rerun it from the "Analyze Data" frame ?! I don't understand what's happen

Thanks

ADD COMMENTlink modified 10 weeks ago • written 3 months ago by julie dubois20
1
gravatar for danielsauceda
3 months ago by
Texas A&M
danielsauceda60 wrote:

Yes I have also noticed similar things happening with 17.05. I have to be honest I cannot quite recall the fix. But bear with me

I believe this only happens with the tools install via toolshed. Inside of /galaxy/config/shed_tool_conf.xml each tool is listed like so.

<section id="textutil" name="Text Manipulation" version="">
  <tool file="toolshed.g2.bx.psu.edu/repos/iuc/datamash_transpose/1cb70a56fc89/datamash_transpose/datamash-transpose.xml" guid="toolshed.g2.bx.psu.edu/repos/iuc/datamash_transpose/datamash_transpose/1.0.6">
      <tool_shed>toolshed.g2.bx.psu.edu</tool_shed>
        <repository_name>datamash_transpose</repository_name>
        <repository_owner>iuc</repository_owner>
        <installed_changeset_revision>1cb70a56fc89</installed_changeset_revision>
        <id>toolshed.g2.bx.psu.edu/repos/iuc/datamash_transpose/datamash_transpose/1.0.6</id>
        <version>1.0.6</version>
    </tool>
</section>

Try deleting the section with guid="toolshed.g2.bx.psu.edu/repos/iuc/datamash_transpose/datamash_transpose/1.0.6" and restart galaxy.

ADD COMMENTlink modified 3 months ago • written 3 months ago by danielsauceda60
1
gravatar for julie dubois
3 months ago by
julie dubois20
julie dubois20 wrote:

Hi, THANKS a lot, it was the solution !!!

The mystery is in the fact that not all tools installed with Toolshed are impacted.

Thanks again.

Julie

ADD COMMENTlink written 3 months ago by julie dubois20

They really need to fix this lol

ADD REPLYlink written 3 months ago by danielsauceda60
1
gravatar for m.vandenbeek
3 months ago by
m.vandenbeek10
France
m.vandenbeek10 wrote:

Please do not edit the shed_tool_conf.xml, this has most likely been fixed in June. If this does not work on a recent commit of the release_17.05 branch please open a bug report, including the commit you are using now. Thanks.

ADD COMMENTlink modified 3 months ago • written 3 months ago by m.vandenbeek10

I did but I did fail to update the Bug when you asked more questions. I apologize. Yes I am using APACHE2 and version 17.05

ADD REPLYlink modified 3 months ago • written 3 months ago by danielsauceda60
0
gravatar for julie dubois
10 weeks ago by
julie dubois20
julie dubois20 wrote:

Hi, I've updated to the lastest commit. I'll report bug if it persist.

Thanks

Julie

ADD COMMENTlink written 10 weeks ago by julie dubois20
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 104 users visited in the last hour